# Visualization
TKV3d
V3d

# V3d_Plane Class Reference

Defines the services of Plane type objects. Only
the creation and editing of the functions is dealt
with here.
Warning: The representation of the clipping plane must be
calculated by the application by means of Graphic3d.
Editing of this representation must be coherent with
respect to the position of the plane.
.

`#include <V3d_Plane.hxx>`

## Public Member Functions

Standard_EXPORT | V3d_Plane (const Handle(V3d_Viewer)&VM, const Quantity_Parameter A=0.0, const Quantity_Parameter B=0.0, const Quantity_Parameter C=1.0, const Quantity_Parameter D=0.0)
| Creates a clipping plane using the equation : *X + *Y + <c>*Z + <d> = 0.0 //! Warning! raises BadValue from Viewer if the norm of the plane is NULL. .
Standard_EXPORT void | SetPlane (const Quantity_Parameter A, const Quantity_Parameter B, const Quantity_Parameter C, const Quantity_Parameter D)
| Modifies the plane equation. //! Warning! raises BadValue from Viewer if the norm of the plane is NULL. If the norm of the plane is NULL. .
virtual Standard_EXPORT void | Display (const Handle(V3d_View)&aView, const Quantity_Color &aColor=Quantity_NOC_GRAY)
| Display the plane representation in the choosen view. .
Standard_EXPORT void | Erase ()
| Erase the plane representation. .
Standard_EXPORT void | Plane (Quantity_Parameter &A, Quantity_Parameter &B, Quantity_Parameter &C, Quantity_Parameter &D) const
| Returns the parameters of the plane . .
Standard_EXPORT Standard_Boolean | IsDisplayed () const
| Returns TRUE when the plane representation is displayed .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

Handle_Graphic3d_Structure | MyGraphicStructure

## Private Member Functions

Standard_EXPORT Handle_Visual3d_ClipPlane | Plane () const
| Returns the associated plane from Visual3d. .
Standard_EXPORT void | Update ()
| Updates the the plane representation. .

## Private Attributes

Handle_Visual3d_ClipPlane | MyPlane

## Friends

Standard_EXPORT void | V3d_View::SetPlaneOn ()
| Activate all the clipping planes defined in this view. //! If No More Plane can be activated in MyView . .
Standard_EXPORT void | V3d_View::SetPlaneOn (const Handle(V3d_Plane)&MyPlane)
| Activates the clipping plane in this view. //! If No More Plane can be activated in MyView . .
Standard_EXPORT void | V3d_View::SetPlaneOff ()
| Deactivate all clipping planes defined in this view. .
Standard_EXPORT void | V3d_View::SetPlaneOff (const Handle(V3d_Plane)&MyPlane)
| Desactivates the clipping plane defined in this view. .

## Constructor & Destructor Documentation

Standard_EXPORT V3d_Plane::V3d_Plane | ( | const Handle(V3d_Viewer)& | VM,
|  | const Quantity_Parameter | A = `0.0`,
|  | const Quantity_Parameter | B = `0.0`,
|  | const Quantity_Parameter | C = `1.0`,
|  | const Quantity_Parameter | D = `0.0`
| ) |

## Member Function Documentation

virtual Standard_EXPORT void V3d_Plane::Display | ( | const Handle(V3d_View)& | aView,
|  | const Quantity_Color & | aColor = `Quantity_NOC_GRAY`
| ) | `[virtual]`

Standard_EXPORT void V3d_Plane::Erase | ( |  | ) |

Standard_EXPORT const V3d_Plane::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean V3d_Plane::IsDisplayed | ( |  | ) | const

Standard_EXPORT Handle_Visual3d_ClipPlane V3d_Plane::Plane | ( |  | ) | const`[private]`

Standard_EXPORT void V3d_Plane::Plane | ( | Quantity_Parameter & | A,
|  | Quantity_Parameter & | B,
|  | Quantity_Parameter & | C,
|  | Quantity_Parameter & | D
| ) | const

Standard_EXPORT void V3d_Plane::SetPlane | ( | const Quantity_Parameter | A,
|  | const Quantity_Parameter | B,
|  | const Quantity_Parameter | C,
|  | const Quantity_Parameter | D
| ) |

Standard_EXPORT void V3d_Plane::Update | ( |  | ) | `[private]`

## Friends And Related Function Documentation

Standard_EXPORT void V3d_View::SetPlaneOff | ( | const Handle(V3d_Plane)& | MyPlane | ) | `[friend]`

Standard_EXPORT void V3d_View::SetPlaneOff | ( |  | ) | `[friend]`

Standard_EXPORT void V3d_View::SetPlaneOn | ( | const Handle(V3d_Plane)& | MyPlane | ) | `[friend]`

Standard_EXPORT void V3d_View::SetPlaneOn | ( |  | ) | `[friend]`

## Field Documentation

Handle_Graphic3d_Structure V3d_Plane::MyGraphicStructure `[protected]`

Handle_Visual3d_ClipPlane V3d_Plane::MyPlane `[private]`

The documentation for this class was generated from the following file:

- V3d_Plane.hxx